> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1businesses expensesbulkpayer type



## OpenAPI

````yaml /api-reference/openapi.json put /v1/businesses/{businessId}/expenses/bulk/payer-type
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/expenses/bulk/payer-type:
    put:
      tags:
        - BusinessTransactions
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionsBulkAssignPayerTypeRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/TransactionsBulkAssignPayerTypeRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TransactionsBulkAssignPayerTypeRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TransactionsBulkExpenseActionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsBulkExpenseActionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TransactionsBulkExpenseActionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    TransactionsBulkAssignPayerTypeRequest:
      required:
        - payerType
      type: object
      properties:
        expenseIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        payerType:
          $ref: '#/components/schemas/ModelsTransactionsPayerType'
      additionalProperties: false
    TransactionsBulkExpenseActionResponse:
      type: object
      properties:
        successCount:
          type: integer
          format: int32
        failedCount:
          type: integer
          format: int32
        skippedCount:
          type: integer
          format: int32
        results:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsBulkExpenseActionResult'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsTransactionsPayerType:
      enum:
        - EMPLOYEE
        - COMPANY
      type: string
    TransactionsBulkExpenseActionResult:
      type: object
      properties:
        expenseId:
          type: integer
          format: int64
        success:
          type: boolean
        error:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        currentStatus:
          $ref: >-
            #/components/schemas/ModelsTransactionsSBTransactionExpenseReportStatus
      additionalProperties: false
    ModelsTransactionsSBTransactionExpenseReportStatus:
      enum:
        - UNREPORTED
        - REPORTED
        - SUBMITTED
        - UNDER_REVIEW
        - APPROVED
        - REJECTED
        - REIMBURSED
        - PARTIALLY_REIMBURSED
        - REQUIRES_CHANGES
        - REIMBURSEMENT_PLANNED
      type: string

````